Subject: Re: [bug#30374] [PATCH] gnu: Add kirigami.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 09 Feb 2018 15:04:38 +0100

Hartmut Goebel <[email-masked]> skribis:

> ---
>  gnu/packages/kde-frameworks.scm | 60 +++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 60 insertions(+)

[...]

> +    (home-page "https://community.kde.org/Frameworks")
> +    (synopsis "QtQuick plugins to build user interfaces based on the KDE UX
> +guidelines")

Perhaps cut after “interfaces” since the rest is more or less in the
description?

> +    (description "Kirigami is a set of QtQuick components at the moment
> +targeted for mobile use (in the future desktop as well) targeting both Plasma
> +Mobile and Android.  It’s not a whole set of components, all the “Primitive”
> +ones like buttons and textboxes are a job for QtQuickControls (soon
> +QtQuickControls2) but it’s a set of high level components to make the creation
> +of applications that look and feel great on mobile as well as desktop devices
> +and follow the Kirigami Human Interface Guidelines.  The target of those
> +components is anybody that wants to do an application using QtQuick as its
> +main UI, especially if targeting a mobile platform, without adding many
> +dependencies.  They work on a variety of platforms, such as Plasma Mobile,
> +Desktop Linux, Android and Windows.")

This looks like a project overview more than a package description from
the Guix user perspective.  Could you adjust it somewhat, focusing on
what it does or what it provides on GNU/Linux?

We usually don’t mention portability in descriptions since by definition
people reading it are using GNU.  Definitely avoid mentioning the
proprietary OSes and “Linux” for “GNU/Linux” please.  :-)

OK with changes along these lines and with a proper commit log!

Thank you,
Ludo’.